Reporting Groups
Create a magic link for agent download
Create a magic link to download the agent installer in a report group. This feature is only available for the FXXOne product. Contact the Flexxible team for more information.
POST
/
v1
/
organizations
/
{organization_id}
/
reporting-groups
/
{reporting_group_id}
/
magic-links
Create a magic link for agent download
curl --request POST \
--url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/magic-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_at": "2026-03-15T12:00:00.000Z",
"installer": {
"version": "latest",
"platform": "windows",
"arch": "x64",
"type": "fxxone"
}
}
'import requests
url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/magic-links"
payload = {
"expires_at": "2026-03-15T12:00:00.000Z",
"installer": {
"version": "latest",
"platform": "windows",
"arch": "x64",
"type": "fxxone"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expires_at: '2026-03-15T12:00:00.000Z',
installer: {version: 'latest', platform: 'windows', arch: 'x64', type: 'fxxone'}
})
};
fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/magic-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "507f1f77bcf86cd799439099",
"token": "2ab46558-3c40-4b72-8fce-08b7b596f624",
"link": "https://portal.example.com/magic-link?key=2ab46558-3c40-4b72-8fce-08b7b596f624"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization
Maximum string length:
24Pattern:
^[0-9a-f]{24}$The unique identifier of the reporting group
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Body
application/json
Request body for creating a magic link of Reporting Group.
Response
Magic link created successfully.
Identifier of the magic link
Example:
"507f1f77bcf86cd799439099"
Token associated with the magic link.
Example:
"2ab46558-3c40-4b72-8fce-08b7b596f624"
Magic link URL.
Example:
"https://portal.example.com/magic-link?key=2ab46558-3c40-4b72-8fce-08b7b596f624"
⌘I
Create a magic link for agent download
